package ink.wgink.common.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RoleDataAuthorityEnum
 * @Description: 数据权限
 * @Author: WangGeng
 * @Date: 2019/11/23 9:43 下午
 * @Version: 1.0
 **/
public enum RoleDataRightEnum {

    ALL("all"),
    DEPARTMENT("department"),
    CUSTOM("custom"),
    SELF("self");

    private String value;

    RoleDataRightEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }
}